﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;

namespace fillcboSQL
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        //initialize all classes
        SqlConnection con = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        SqlDataAdapter da = new SqlDataAdapter();
        DataTable dt = new DataTable();
        //Declare a variable
        string query;
        int result;

     
        private void Form1_Load(object sender, EventArgs e)
        {
            //connection between sql server to c#
            con.ConnectionString = "Data Source=.\\SQLEXPRESS;Database=categorydb;trusted_connection=true;";
            
        }


        private void fillCBO()
        {
            try
            {
                //create a query for retrieving data in the database.
                query = "SELECT * FROM tblcategory";
                //initialize new Sql commands
                cmd = new SqlCommand();
                //hold the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //initialize new Sql data adapter
                da = new SqlDataAdapter();
                //fetching query in the database.
                da.SelectCommand = cmd;
                //initialize new datatable
                dt = new DataTable();
                //refreshes the rows in specified range in the datasource. 
                da.Fill(dt);
                //Get and set the data source of a comboBox
                comboBox1.DataSource = dt;
                //set the field of a table to display in the list control of a combo box
                comboBox1.DisplayMember = "Category";
                //Display first in the list control
                comboBox1.Text = "Select";

             
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
            finally
            {
                da.Dispose();

            }
        }
        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                //opening connection
                con.Open();
                //create an insert query;
                query = "INSERT INTO tblcategory (Category) VALUES('" + txtcategory.Text  + "')"; 
                //it holds the data to be executed.
                cmd.Connection = con;
                cmd.CommandText = query;
                //execute the data.
                int result = cmd.ExecuteNonQuery();
                //validate if the result of the executed query.
                if (result > 0)
                {
                    MessageBox.Show("Data has been saved in the SQL database");
                    //Call a method for filling data into the comboBox.
                    fillCBO();
                    //clearing textbox
                    txtcategory.Clear();
                }
                else
                {
                    MessageBox.Show("SQL QUERY ERROR");
                }
                //closing connection
                con.Close();

            }
            catch (Exception ex)//catch exeption
            {
                //displaying error message.
                MessageBox.Show(ex.Message);
            }
        }

        
    }
}
